-- ------------------------------------------------------------
-- ------------------------------------------------------------
-- This script creates the AMLCORE, AMLCTR, BANK1CORE, 
-- and BANK1KCTR databases.
-- 
-- It must be run by a user with DBA privileges.  
-- ------------------------------------------------------------
-- ------------------------------------------------------------


-- Create AMLCORE DATABASE
CREATE DATABASE IF NOT EXISTS `AMLCORE`
  CHARACTER SET utf8 COLLATE utf8_general_ci;
  
-- Create AMLCTR DATABASE
CREATE DATABASE IF NOT EXISTS `AMLCTR`
  CHARACTER SET utf8 COLLATE utf8_general_ci;

-- Create BANK1CORE DATABASE
CREATE DATABASE IF NOT EXISTS `BANK1CORE`
  CHARACTER SET utf8 COLLATE utf8_general_ci;

-- Create BANK1KCTR DATABASE
CREATE DATABASE IF NOT EXISTS `BANK1KCTR`
  CHARACTER SET utf8 COLLATE utf8_general_ci;
  
  
-- Create AMLCORE USER
CREATE USER AMLCORE IDENTIFIED BY 'AMLCORE1';

-- Create AMLCTR USER
CREATE USER AMLCTR IDENTIFIED BY 'AMLCTR1';

-- Create BANK1CORE USER
CREATE USER BANK1CORE IDENTIFIED BY 'BANK1CORE1';

-- Create BANK1KCTR USER
CREATE USER BANK1KCTR IDENTIFIED BY 'BANK1KCTR1';


GRANT ALL PRIVILEGES ON `AMLCTR`.* TO AMLCORE;
GRANT ALL PRIVILEGES ON `BANK1KCTR`.* TO AMLCORE;
GRANT ALL PRIVILEGES ON `BANK1CORE`.* TO AMLCORE;
GRANT ALL PRIVILEGES ON `AMLCORE`.* TO AMLCORE;

GRANT ALL PRIVILEGES ON `AMLCTR`.* TO AMLCTR;
GRANT ALL PRIVILEGES ON `BANK1KCTR`.* TO AMLCTR;
GRANT ALL PRIVILEGES ON `BANK1CORE`.* TO AMLCTR;
GRANT ALL PRIVILEGES ON `AMLCORE`.* TO AMLCTR;

GRANT ALL PRIVILEGES ON `AMLCTR`.* TO BANK1CORE;
GRANT ALL PRIVILEGES ON `BANK1KCTR`.* TO BANK1CORE;
GRANT ALL PRIVILEGES ON `BANK1CORE`.* TO BANK1CORE;
GRANT ALL PRIVILEGES ON `AMLCORE`.* TO BANK1CORE;

GRANT ALL PRIVILEGES ON `AMLCTR`.* TO BANK1KCTR;
GRANT ALL PRIVILEGES ON `BANK1KCTR`.* TO BANK1KCTR;
GRANT ALL PRIVILEGES ON `BANK1CORE`.* TO BANK1KCTR;
GRANT ALL PRIVILEGES ON `AMLCORE`.* TO BANK1KCTR;



