REPLACE PROCEDURE BANK1CORE.CreateAlertTable(IN AlertTableName VARCHAR(30))
-- ------------+--------------------------------------------------------
-- Copyright (c) 2006 by SAS Institute Inc., Cary, NC 27513 USA
-- All Rights Reserved
-- ------------+--------------------------------------------------------
-- Product
--             | SAS Anti-Money Laundering
--             | Anti-Money Laundering Volatile Alert Table
-- Description
--             | It will dynamic create the volatile table
--             | which used for holding the answer set of scenario
--             |
--             | The definition as following:
--             |
--             | CREATE MULTISET VOLATILE TABLE ScenarioName_Alerts
--             | ,NO LOG, NO FALLBACK, NO BEFORE JOURNAL, NO AFTER JOURNAL
--             |  (run_date DATE
--             |  ,actual_values_text VARCHAR(250)
--             |  ,entity_level_code CHAR(3)
--             |  ,primary_entity_number VARCHAR(35)
--             |  ,scneario_name VARCHAR(35)
--             |  )Primary Index(primary_entity_number)
--             |  ON COMMIT PRESERVE ROWS;
-- ------------+--------------------------------------------------------
BEGIN
CALL DBC.SysExecSQL( 'CREATE SET VOLATILE TABLE '
|| :AlertTableName
||' ,NO LOG, NO FALLBACK, NO BEFORE JOURNAL, NO AFTER JOURNAL
(rundate DATE
,actual_values_text VARCHAR(250)
,entity_level_code CHAR(3)
,primary_entity_number VARCHAR(50)
,scenario_name VARCHAR(30)
) Primary Index(primary_entity_number)
 ON COMMIT PRESERVE ROWS;');
END;